For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
GuidesAPI ReferenceChangelogModel Versioning
GuidesAPI ReferenceChangelogModel Versioning
    • Getting Started
    • Authentication
    • API Versioning
    • SDKs
    • Deployments
    • Error Codes
    • Async Processing
  • Endpoints
      • POSTRun Workflow
      • POSTBatch Run Workflow
      • GETGet Workflow Run
      • POSTUpdate Workflow Run
      • POSTCancel Workflow Run
      • DELDelete Workflow Run
      • GETList Workflow Runs
      • POSTCreate Workflow
      • GETGet Workflow
      • POSTUpdate Workflow
      • GETList Workflows
      • POSTCreate Workflow Version
      • GETGet Workflow Version
      • GETList Workflow Versions
  • Webhook Events
LogoLogo
EndpointsWorkflows

List Workflow Runs

GET
/workflow_runs
GET
/workflow_runs
1import { ExtendClient } from "extend-ai";
2
3const client = new ExtendClient({ token: "YOUR_TOKEN" });
4await client.workflowRuns.list({
5 nextPageToken: "xK9mLPqRtN3vS8wF5hB2cQ==:zWvUxYjM4nKpL7aDgE9HbTcR2mAyX3/Q+CNkfBSw1dZ="
6});
1{
2 "object": "list",
3 "data": [
4 {
5 "object": "workflow_run",
6 "id": "string",
7 "status": "PENDING",
8 "workflow": {
9 "object": "workflow",
10 "id": "workflow_BMlfq_yWM3sT-ZzvCnA3f",
11 "name": "Invoice Processing",
12 "createdAt": "2024-03-21T16:45:00Z",
13 "updatedAt": "2024-03-21T16:45:00Z"
14 },
15 "workflowVersion": {
16 "object": "workflow_version",
17 "id": "workflow_version_Zk9mNP12Qw4-yTv8BdR3H",
18 "version": "1",
19 "name": "Production v1",
20 "createdAt": "2024-03-21T16:45:00Z"
21 },
22 "dashboardUrl": "https://dashboard.extend.ai/workflows/workflow_run_xKm9pNv3qWsY_jL2tR5Dh",
23 "reviewedByUser": "string",
24 "reviewedAt": "2024-01-15T09:30:00Z",
25 "initialRunAt": "2024-01-15T09:30:00Z",
26 "startTime": "2024-01-15T09:30:00Z",
27 "endTime": "2024-01-15T09:30:00Z",
28 "batchId": "string",
29 "rejectionNote": "string",
30 "createdAt": "2024-03-21T16:45:00Z",
31 "updatedAt": "2024-03-21T16:45:00Z",
32 "usage": {
33 "credits": 9,
34 "totalCredits": 15
35 }
36 }
37 ],
38 "nextPageToken": "xK9mLPqRtN3vS8wF5hB2cQ==:zWvUxYjM4nKpL7aDgE9HbTcR2mAyX3/Q+CNkfBSw1dZ="
39}
List runs of a Workflow. Workflows are sequences of steps that process files and data in a specific order to achieve a desired outcome. A WorkflowRun represents a single execution of a workflow against a file.
Was this page helpful?
Previous

Create Workflow

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

x-extend-api-version"2026-02-09"Optional
API version to use for the request. If you're using an SDK, you can ignore this parameter. If you are not using an SDK and do not specify a version, you will either receive a `400 Bad Request` or be set to a previous legacy version. See [API Versioning](https://docs.extend.ai/2026-02-09/developers/api-versioning) for more details.
x-extend-workspace-idstringOptional
The workspace ID to target. **Required** when using an organization-scoped API key; optional for workspace-scoped keys (the key is already tied to a workspace). See [Authentication](https://docs.extend.ai/2026-02-09/developers/authentication) for details on API key scopes.

Query parameters

statusenumOptional
The status of a workflow run: * `"PENDING"` - The workflow run is waiting to be processed * `"PROCESSING"` - The workflow run is currently processing * `"NEEDS_REVIEW"` - The workflow run requires manual review * `"REJECTED"` - The workflow run was rejected during review * `"PROCESSED"` - The workflow run completed successfully * `"FAILED"` - The workflow run encountered an error * `"CANCELLED"` - The workflow run was cancelled * `"CANCELLING"` - The workflow run is being cancelled
workflowIdstringOptional

Filters workflow runs by the workflow ID. If not provided, runs for all workflows are returned.

Example: "workflow_BMdfq_yWM3sT-ZzvCnA3f"

batchIdstringOptional
Filters workflow runs by the batch ID. This is useful for fetching all runs for a given batch created via the [Batch Run Workflow](https://docs.extend.ai/2026-02-09/developers/api-reference/endpoints/workflow/batch-create-workflow-runs) endpoint. Example: `"batch_7Ws31-F5"`
fileNameContainsstringOptional

Filters runs by the name of the file. Only returns runs where the file name contains this string.

Example: "invoice"

sortByenumOptionalDefaults to updatedAt
Sort by the given field.
Allowed values:
sortDirenumOptionalDefaults to desc
Sort in ascending or descending order. Ascending order means the earliest result is returned first.
Allowed values:
nextPageTokenstringOptional

The token used to fetch the page of results from a previous request. We use cursor based pagination and will return a nextPageToken in the response if there are more results.

Note that if other parameters are changed in subsequent requests, you may receive inconsistent data.

maxPageSizeintegerOptional1-1000Defaults to 10
The maximum number of results to return in the response. You may receive less than this number if there are fewer results than the maximum.

Response

You will get a list of summaries for each workflow run. These are shortened versions of the full WorkflowRun object. To get the full object, use the [Get WorkflowRun](https://docs.extend.ai/2026-02-09/developers/api-reference/endpoints/workflow/get-workflow-run) endpoint.
objectenum
Allowed values:
datalist of objects
nextPageTokenstring

The token used to fetch the page of results from a previous request. We use cursor based pagination and will return a nextPageToken in the response if there are more results.

Note that if other parameters are changed in subsequent requests, you may receive inconsistent data.

Errors

400
Bad Request Error
401
Unauthorized Error
402
Payment Required Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error

API version to use for the request. If you’re using an SDK, you can ignore this parameter. If you are not using an SDK and do not specify a version, you will either receive a 400 Bad Request or be set to a previous legacy version. See API Versioning for more details.

The workspace ID to target. Required when using an organization-scoped API key; optional for workspace-scoped keys (the key is already tied to a workspace). See Authentication for details on API key scopes.

The status of a workflow run:

  • "PENDING" - The workflow run is waiting to be processed
  • "PROCESSING" - The workflow run is currently processing
  • "NEEDS_REVIEW" - The workflow run requires manual review
  • "REJECTED" - The workflow run was rejected during review
  • "PROCESSED" - The workflow run completed successfully
  • "FAILED" - The workflow run encountered an error
  • "CANCELLED" - The workflow run was cancelled
  • "CANCELLING" - The workflow run is being cancelled

Filters workflow runs by the batch ID. This is useful for fetching all runs for a given batch created via the Batch Run Workflow endpoint.

Example: "batch_7Ws31-F5"

You will get a list of summaries for each workflow run. These are shortened versions of the full WorkflowRun object.

To get the full object, use the Get WorkflowRun endpoint.